Package org.apache.xmlbeans.impl.xb.xsdownload

## Interface DownloadedSchemasDocument.DownloadedSchemas

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `DownloadedSchemasDocumentImpl.DownloadedSchemasImpl`
  Enclosing interface:
    DownloadedSchemasDocument

      public static interface DownloadedSchemasDocument.DownloadedSchemas
      extends XmlObject

  An XML downloaded-schemas(@http://www.bea.com/2003/01/xmlbean/xsdownload). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<DownloadedSchemasDocument.DownloadedSchemas>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DownloadedSchemaEntry` | `addNewEntry()` | Appends and returns a new empty value (as xml) as the last "entry" element
    `String` | `getDefaultDirectory()` | Gets the "defaultDirectory" attribute
    `DownloadedSchemaEntry[]` | `getEntryArray()` | Gets array of all "entry" elements
    `DownloadedSchemaEntry` | `getEntryArray​(int i)` | Gets ith "entry" element
    `List<DownloadedSchemaEntry>` | `getEntryList()` | Gets a List of "entry" elements
    `DownloadedSchemaEntry` | `insertNewEntry​(int i)` | Inserts and returns a new empty value (as xml) as the ith "entry" element
    `boolean` | `isSetDefaultDirectory()` | True if has "defaultDirectory" attribute
    `void` | `removeEntry​(int i)` | Removes the ith "entry" element
    `void` | `setDefaultDirectory​(String defaultDirectory)` | Sets the "defaultDirectory" attribute
    `void` | `setEntryArray​(int i, DownloadedSchemaEntry entry)` | Sets ith "entry" element
    `void` | `setEntryArray​(DownloadedSchemaEntry[] entryArray)` | Sets array of all "entry" element
    `int` | `sizeOfEntryArray()` | Returns number of "entry" element
    `void` | `unsetDefaultDirectory()` | Unsets the "defaultDirectory" attribute
    `XmlToken` | `xgetDefaultDirectory()` | Gets (as xml) the "defaultDirectory" attribute
    `void` | `xsetDefaultDirectory​(XmlToken defaultDirectory)` | Sets (as xml) the "defaultDirectory" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<DownloadedSchemasDocument.DownloadedSchemas> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getEntryList

          List<DownloadedSchemaEntry> getEntryList()

      Gets a List of "entry" elements

    - #### getEntryArray

          DownloadedSchemaEntry[] getEntryArray()

      Gets array of all "entry" elements

    - #### getEntryArray

          DownloadedSchemaEntry getEntryArray​(int i)

      Gets ith "entry" element

    - #### sizeOfEntryArray

          int sizeOfEntryArray()

      Returns number of "entry" element

    - #### setEntryArray

          void setEntryArray​(DownloadedSchemaEntry[] entryArray)

      Sets array of all "entry" element

    - #### setEntryArray

          void setEntryArray​(int i,
                             DownloadedSchemaEntry entry)

      Sets ith "entry" element

    - #### insertNewEntry

          DownloadedSchemaEntry insertNewEntry​(int i)

      Inserts and returns a new empty value (as xml) as the ith "entry" element

    - #### addNewEntry

          DownloadedSchemaEntry addNewEntry()

      Appends and returns a new empty value (as xml) as the last "entry" element

    - #### removeEntry

          void removeEntry​(int i)

      Removes the ith "entry" element

    - #### getDefaultDirectory

          String getDefaultDirectory()

      Gets the "defaultDirectory" attribute

    - #### xgetDefaultDirectory

          XmlToken xgetDefaultDirectory()

      Gets (as xml) the "defaultDirectory" attribute

    - #### isSetDefaultDirectory

          boolean isSetDefaultDirectory()

      True if has "defaultDirectory" attribute

    - #### setDefaultDirectory

          void setDefaultDirectory​(String defaultDirectory)

      Sets the "defaultDirectory" attribute

    - #### xsetDefaultDirectory

          void xsetDefaultDirectory​(XmlToken defaultDirectory)

      Sets (as xml) the "defaultDirectory" attribute

    - #### unsetDefaultDirectory

          void unsetDefaultDirectory()

      Unsets the "defaultDirectory" attribute